## nautilus-admin 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(NautilusAdmin NONE)
find_package(Gettext REQUIRED)

# Configurable paths
set(PKEXEC_PATH "/usr/bin/pkexec" CACHE FILEPATH "pkexec program path.")
set(NAUTILUS_PATH "/usr/bin/nautilus" CACHE FILEPATH "nautilus program path.")
set(GEDIT_PATH "/usr/bin/gedit" CACHE FILEPATH "gedit program path.")

# Configure files
configure_file(extension/nautilus-admin.py
               extension/nautilus-admin.py)
configure_file(polkit/org.freedesktop.nautilus-admin.policy
               polkit/org.freedesktop.nautilus-admin.policy)

# Update and compile the translations
gettext_create_translations(po/nautilus-admin.pot ALL po/pt.po)

# Install target
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/polkit/org.freedesktop.nautilus-admin.policy"
        DESTINATION /usr/share/polkit-1/actions)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/extension/nautilus-admin.py"
        DESTINATION /usr/share/nautilus-python/extensions)

# Uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND}
                  -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake)

=== debian/changelog ===
nautilus-admin (0.1.2-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1459426)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 09 Jun 2015 13:16:10 -0500

nautilus-admin (0.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #785247)

 -- Bruno Nova <brunomb.nova@gmail.com>  Tue, 19 May 2015 09:56:59 +0100

=== debian/control ===
Source: nautilus-admin
Section: gnome
Priority: optional
Maintainer: Bruno Nova <brunomb.nova@gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.6), gettext
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/brunonova/nautilus-admin
Vcs-Git: https://bitbucket.org/brunonova/nautilus-admin -b debian
Vcs-Browser: https://bitbucket.org/brunonova/nautilus-admin/src/debian

Package: nautilus-admin
Architecture: all
Depends: ${misc:Depends}, nautilus, python-nautilus, policykit-1,
         gir1.2-gconf-2.0
Recommends: gedit
Enhances: nautilus
Description: Extension for Nautilus to do administrative operations
 Nautilus Admin is a simple Python extension for the Nautilus file manager
 that adds some administrative actions to the right-click menu:
 .
   * Open as Administrator: opens a folder in a new Nautilus window
     running with administrator (root) privileges.
   * Edit as Administrator: opens a file in a Gedit window running
     with administrator (root) privileges.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/brunonova/nautilus-admin/downloads /brunonova/nautilus-admin/downloads/nautilus-admin_(.*)\.tar.(?:gz|bz2|xz)

## nautilus-admin 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,8 @@
                polkit/org.freedesktop.nautilus-admin.policy)
 
 # Update and compile the translations
-gettext_create_translations(po/nautilus-admin.pot ALL po/pt.po)
+gettext_create_translations(po/nautilus-admin.pot ALL po/ar.po po/fr.po po/pt.po
+                                                      po/ru.po)
 
 # Install target
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/polkit/org.freedesktop.nautilus-admin.policy"

=== debian/changelog ===
nautilus-admin (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * Updated the changelog of the previous version to add a missing item.
  * debian/copyright: added license of po/ar.po and po/ru.po.
  * debian/source/options:
    - Added po/ar.po and po/ru.po to extend-diff-ignore regex.
    - Simplified the extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Mon, 28 Dec 2015 20:17:23 +0000

nautilus-admin (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: added license of po/fr.po.
  * debian/source/options: added extend-diff-ignore option to ignore
    .po files, as they may be modified during build.

 -- Bruno Nova <brunomb.nova@gmail.com>  Fri, 20 Nov 2015 11:45:11 +0000

nautilus-admin (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated Homepage and Vcs-* fields.
  * debian/copyright: updated Source field.
  * debian/docs: updated to install AUTHORS, NEWS and README.md.
  * debian/watch: updated the URL.

 -- Bruno Nova <brunomb.nova@gmail.com>  Tue, 22 Sep 2015 20:20:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Bruno Nova <brunomb.nova@gmail.com>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6), gettext
 Standards-Version: 3.9.6
-Homepage: https://bitbucket.org/brunonova/nautilus-admin
-Vcs-Git: https://bitbucket.org/brunonova/nautilus-admin -b debian
-Vcs-Browser: https://bitbucket.org/brunonova/nautilus-admin/src/debian
+Homepage: https://github.com/brunonova/nautilus-admin
+Vcs-Git: https://github.com/brunonova/nautilus-admin.git -b debian
+Vcs-Browser: https://github.com/brunonova/nautilus-admin/tree/debian
 
 Package: nautilus-admin
 Architecture: all

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/brunonova/nautilus-admin/releases /brunonova/nautilus-admin/releases/download/v.*/nautilus-admin_(.*)\.tar\.xz

## nautilus-admin 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(PKEXEC_PATH "/usr/bin/pkexec" CACHE FILEPATH "pkexec program path.")
 set(NAUTILUS_PATH "/usr/bin/nautilus" CACHE FILEPATH "nautilus program path.")
 set(GEDIT_PATH "/usr/bin/gedit" CACHE FILEPATH "gedit program path.")
+set(TERMINAL_PATH "/usr/bin/gnome-terminal" CACHE FILEPATH "gnome-terminal program path.")
 
 # Configure files
 configure_file(extension/nautilus-admin.py
@@ -14,8 +15,16 @@
                polkit/org.freedesktop.nautilus-admin.policy)
 
 # Update and compile the translations
-gettext_create_translations(po/nautilus-admin.pot ALL po/ar.po po/fr.po po/pt.po
-                                                      po/ru.po)
+gettext_create_translations(po/nautilus-admin.pot ALL
+	po/ar.po
+	po/es.po
+	po/fr.po
+	po/it.po
+	po/lt.po
+	po/pl.po
+	po/pt.po
+	po/ru.po
+	po/sk.po)
 
 # Install target
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/polkit/org.freedesktop.nautilus-admin.policy"

=== debian/changelog ===
nautilus-admin (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Added license of po/sk.po.
    - Updated copyright years of po/fr.po.
  * debian/source/options: added po/sk.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Tue, 16 Aug 2016 20:31:19 +0100

nautilus-admin (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: added license of po/pl.po.
  * debian/source/options: added po/pl.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Sun, 31 Jul 2016 20:18:05 +0100

nautilus-admin (0.2.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control:
    - Added gnome-terminal to Recommends.
    - Updated description.
  * debian/copyright:
    - Added license of po/lt.po.
    - Updated license of extension/nautilus-admin.py and po/ru.po.
  * debian/source/options: added po/lt.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Wed, 13 Jul 2016 23:36:58 +0100

nautilus-admin (0.1.7-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control: updated Standards-Version to 3.9.8.
  * debian/copyright: added license of po/it.po.
  * debian/source/options: added po/it.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Thu, 09 Jun 2016 20:22:00 +0100

nautilus-admin (0.1.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated Standards-Version to 3.9.7.
  * debian/copyright: added license of po/es.po.
  * debian/source/options: added po/es.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Tue, 05 Apr 2016 21:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bruno Nova <brunomb.nova@gmail.com>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6), gettext
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/brunonova/nautilus-admin
 Vcs-Git: https://github.com/brunonova/nautilus-admin.git -b debian
 Vcs-Browser: https://github.com/brunonova/nautilus-admin/tree/debian
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends}, nautilus, python-nautilus, policykit-1,
          gir1.2-gconf-2.0
-Recommends: gedit
+Recommends: gedit, gnome-terminal
 Enhances: nautilus
 Description: Extension for Nautilus to do administrative operations
  Nautilus Admin is a simple Python extension for the Nautilus file manager
@@ -22,3 +22,5 @@
      running with administrator (root) privileges.
    * Edit as Administrator: opens a file in a Gedit window running
      with administrator (root) privileges.
+   * Run as Administrator: runs an executable file with administrator (root)
+     privileges inside a GNOME Terminal.

## nautilus-admin 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 # Update and compile the translations
 gettext_create_translations(po/nautilus-admin.pot ALL
 	po/ar.po
+	po/de.po
 	po/es.po
 	po/fr.po
 	po/it.po
@@ -24,7 +25,8 @@
 	po/pl.po
 	po/pt.po
 	po/ru.po
-	po/sk.po)
+	po/sk.po
+	po/zh_CN.po)
 
 # Install target
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/polkit/org.freedesktop.nautilus-admin.policy"

=== debian/changelog ===
nautilus-admin (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: added license of po/zh_CN.po.
  * debian/source/options: added po/zh_CN.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Mon, 31 Oct 2016 21:35:20 +0000

nautilus-admin (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: removed no longer needed dependency on gir1.2-gconf-2.0.
  * debian/copyright: added license of po/de.po.
  * debian/source/options: added po/de.po to extend-diff-ignore regex.

 -- Bruno Nova <brunomb.nova@gmail.com>  Tue, 11 Oct 2016 20:33:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
 
 Package: nautilus-admin
 Architecture: all
-Depends: ${misc:Depends}, nautilus, python-nautilus, policykit-1,
-         gir1.2-gconf-2.0
+Depends: ${misc:Depends}, nautilus, python-nautilus, policykit-1
 Recommends: gedit, gnome-terminal
 Enhances: nautilus
 Description: Extension for Nautilus to do administrative operations

## nautilus-admin 1.1.3

=== debian/changelog ===
nautilus-admin (1.1.3-1) unstable; urgency=low

  * New upstream release [1.1.3].
  * debian/control: Add missing dependency on gir1.2-gtk-3.0.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 13 Jan 2018 22:02:11 +1100

nautilus-admin (1.1.2-2) unstable; urgency=low

  * Relocate VCS to salsa.debian.org.
  * Build with Debhelper compatibility level 11.
  * Indicate compliance with Debian Policy 4.1.3.
  * debian/gbp.conf: formatting changes.
  * Update debian/watch to allow all available versions of upstream
    tarballs to be downloaded, not just the most recent ones.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 08 Jan 2018 02:37:22 +1100

nautilus-admin (1.1.2-1) unstable; urgency=low

  [ Bruno Nova ]
  * Remove debian/install, debian/nautilus-admin-restart, debian/postinst
    and debian/prerm, removing the notification to restart nautilus
    (Closes: #853147).

  [ Carlos Maddela ]
  * New maintainer (Closes: #862210).
  * New upstream release [1.1.2].
  * Add debian/gbp.conf: Make git-buildpackage sign tags.
  * debian/control:
    - Update VCS details.
    - Bump Standards Version to 4.1.2 (no changes required).
    - Update dependencies: using GVFS admin backend now, instead of
      policy kit.
    - Update description: no longer supports 'Run as Administrator'.
    - Perform wrap-and-sort.
  * debian/compat: Bump to level 10.
  * Package NEWS file as upstream changelog.
  * Fix and update details in debian/copyright.
  * Backup and restore translation files, instead of relying on
    extend-diff-ignore source option.
  * Add check to ensure copyright has an entry for each translation file.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 25 Dec 2017 04:48:23 +1100

=== debian/control ===
Source: nautilus-admin
Section: gnome
Priority: optional
Maintainer: Carlos Maddela <e7appew@gmail.com>
Build-Depends: cmake (>= 2.6), debhelper (>= 11), gettext
Standards-Version: 4.1.3
Homepage: https://github.com/brunonova/nautilus-admin
Vcs-Git: https://salsa.debian.org/e7appew-guest/nautilus-admin.git
Vcs-Browser: https://salsa.debian.org/e7appew-guest/nautilus-admin

Package: nautilus-admin
Architecture: all
Depends: gir1.2-gtk-3.0,
         gvfs-backends (>= 1.30),
         nautilus,
         python-nautilus,
         ${misc:Depends}
Recommends: gedit
Enhances: nautilus
Description: Extension for Nautilus to do administrative operations
 Nautilus Admin is a simple Python extension for the Nautilus file manager
 that adds some administrative actions to the right-click menu:
 .
   * Open as Administrator: opens a folder in a new Nautilus window
     running with administrator (root) privileges.
   * Edit as Administrator: opens a file in a Gedit window running
     with administrator (root) privileges.

=== debian/tests/control ===
Tests: copyright-check
Depends: nautilus-admin

## nautilus-admin 1.1.7

=== debian/changelog ===
nautilus-admin (1.1.7-1) unstable; urgency=low

  * New upstream release [1.1.7].
  * Update debian/copyright to include Czech translation details.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 25 Jun 2018 23:48:21 +1000

nautilus-admin (1.1.6-2) unstable; urgency=low

  * Update Vcs-* details to official Debian repo.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 22 Jun 2018 06:21:23 +1000

nautilus-admin (1.1.6-1) unstable; urgency=low

  * New upstream release [1.1.6].
  * Add machine-readable upstream metadata.
  * Indicate compliance with Debian Policy 4.1.4.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 26 Apr 2018 23:37:52 +1000

nautilus-admin (1.1.4-2) unstable; urgency=low

  * Update debian/copyright.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 16 Mar 2018 19:11:52 +1100

nautilus-admin (1.1.4-1) unstable; urgency=low

  * New upstream release [1.1.4].

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 16 Mar 2018 04:32:22 +1100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Carlos Maddela <e7appew@gmail.com>
 Build-Depends: cmake (>= 2.6), debhelper (>= 11), gettext
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/brunonova/nautilus-admin
-Vcs-Git: https://salsa.debian.org/e7appew-guest/nautilus-admin.git
-Vcs-Browser: https://salsa.debian.org/e7appew-guest/nautilus-admin
+Vcs-Git: https://salsa.debian.org/debian/nautilus-admin.git
+Vcs-Browser: https://salsa.debian.org/debian/nautilus-admin
 
 Package: nautilus-admin
 Architecture: all

## nautilus-admin 1.1.8

=== debian/changelog ===
nautilus-admin (1.1.8-1) unstable; urgency=low

  * New upstream release [1.1.8].
  * Update debian/copyright to include Turkish translation details.
  * Set "Rules-Requires-Root: no".
  * Revert to packaging upstream NEWS file as /usr/share/doc/package/NEWS.gz.
  * Allow build rules to be as verbose as possible.
  * Indicate compliance with Debian Policy 4.2.1.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 20 Oct 2018 17:08:18 +1100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Carlos Maddela <e7appew@gmail.com>
 Build-Depends: cmake (>= 2.6), debhelper (>= 11), gettext
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/brunonova/nautilus-admin
 Vcs-Git: https://salsa.debian.org/debian/nautilus-admin.git
 Vcs-Browser: https://salsa.debian.org/debian/nautilus-admin
+Rules-Requires-Root: no
 
 Package: nautilus-admin
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

MUTABLE_FILES := $(wildcard po/*.po)

%:
	dh $@

override_dh_update_autotools_config:
	dh_update_autotools_config
	for f in $(MUTABLE_FILES); do \
		cp -an $$f $$f.orig; \
	done

override_dh_clean:
	dh_clean -X.orig
	for f in $(MUTABLE_FILES); do \
		test ! -f $$f.orig || mv -f $$f.orig $$f; \
	done

## nautilus-admin 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(NautilusAdmin NONE)
find_package(Gettext REQUIRED)

# Configurable paths
set(NAUTILUS_PATH "/usr/bin/nautilus" CACHE FILEPATH "nautilus program path.")
set(GEDIT_PATH "/usr/bin/gedit" CACHE FILEPATH "gedit program path.")

# Configure files
configure_file(extension/nautilus-admin.py
               extension/nautilus-admin.py)

# Update and compile the translations
file(GLOB PO_FILES "po/*.po")
gettext_create_translations(po/nautilus-admin.pot ALL ${PO_FILES})

# Install target
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/extension/nautilus-admin.py"
        DESTINATION /usr/share/nautilus-python/extensions)

# Uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND}
                  -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake)

=== debian/changelog ===
nautilus-admin (1.1.9-3.3) unstable; urgency=high

  * Non-maintainer upload
  * Fix nautilus43 patch
  * debian/tests/control: Mark as superficial

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 17:07:20 -0400

nautilus-admin (1.1.9-3.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Jesús Soto ]
  * Add patch to add compatibility with nautilus 43 (Closes: #1017576)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 07:56:08 -0400

nautilus-admin (1.1.9-3.1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/patches/new-python-compat.patch:
    - fix the locale import to be compatible with python 3.9,
      thanks Kesantielu (Closes: #989596) (LP: #1924573)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Jun 2021 23:12:42 +0200

nautilus-admin (1.1.9-3) unstable; urgency=medium

  [ Carlos Maddela ]
  * Fix CMake script to allow out-of-place builds of translation
    files, so that backing up and restoring modified files during
    build can be dropped.
  * Simplify the declaration of the required Debhelper compat level
    by using the debian/control file only.
  * Add support for terse build option.
  * Cherry-pick update to German translation from upstream.
  * Indicate compliance with Debian Policy 4.4.1 (no changes required).

  [ Andreas Henriksson ]
  * Switch to python3-nautilus (Closes: #942771)

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 05 Nov 2019 07:11:13 +1100

nautilus-admin (1.1.9-2) unstable; urgency=medium

  * Add more details to debian/upstream/metadata.
  * Update debian/gbp.conf to conform with DEP14 conventions.
  * Update debian/copyright to use the same license ID as that
    used in the appstream metadata: GPL-3+ -> GPL-3.0+.

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 29 Jan 2019 12:14:28 +1100

nautilus-admin (1.1.9-1) unstable; urgency=low

  * New upstream release [1.1.9].
  * Simplify process by which mutable files are backed up and restored.
  * Indicate compliance with Debian Policy 4.3.0 (no changes required).
  * Build with Debhelper compat level 12.
  * Update debian/copyright.

 -- Carlos Maddela <e7appew@gmail.com>  Sun, 13 Jan 2019 23:21:27 +1100

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	export DH_VERBOSE = 1
endif

%:
	dh $@

=== debian/tests/control ===
Tests: copyright-check
Depends: nautilus-admin
Restrictions: superficial
